Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List workspaces

GET/workspaces
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Responses
200

Workspaces list

workspacesobject[]required
Show properties
Array of object
idstringrequired
namestringrequired
slugstringrequired
keystring | nullrequired
ownerIdstringrequired
defaultTeamIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Request
curl -X GET 'https://pile.nyc/workspaces' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "workspaces": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "key": "string",
      "ownerId": "string",
      "defaultTeamId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?